Bug 1653127

Summary: FTBFS: ambiguous python shebang
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: excitingAssignee: marcindulak <Marcin.Dulak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: Marcin.Dulak
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: exciting-12-13.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-02 04:11:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Orion Poplawski 2018-11-26 01:51:20 UTC
Description of problem:

Build currently fails in rawhide with:

ERROR: ambiguous python shebang in /usr/share/exciting/xml/inputfileconverter/Wien2ktoExciting.py: #!/usr/bin/python. Change it to python3 (or python2) explicitly.

See https://fedoraproject.org/wiki/Changes/Make_ambiguous_python_shebangs_error

Comment 1 Fedora Update System 2018-12-24 21:38:51 UTC
exciting-12-13.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-680f8245e2

Comment 2 Fedora Update System 2018-12-25 03:29:31 UTC
exciting-12-13.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-680f8245e2

Comment 3 Fedora Update System 2019-01-02 04:11:02 UTC
exciting-12-13.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.